# -*- coding: utf-8 -*-

from django.db import models
from portailuser.models import PortailUser, Ecole
from gestion.fields import DateTimeField

# from os.path import join
# from PIL import Image

DOSSIER_EVENEMENTS = "evenements"
TAILLE_MINI = (128, 128)


class Evenement(models.Model):
    nom = models.CharField(
        verbose_name="Nom de l'événement",
        unique=True,
        max_length=27,
        help_text="Exemple : Apéro-concert",
    )
    description = models.TextField(verbose_name="Description de l'événement", max_length=50)
    date_heure_debut = DateTimeField(verbose_name="Date et heure de début")
    date_heure_fin = DateTimeField(verbose_name="Date et heure de fin")
    lieu = models.CharField(
        verbose_name="Lieu de l'événement",
        max_length=50,
        help_text="Exemple : Foyer ; B00 ; etc...",
    )
    responsable = models.ForeignKey(
        PortailUser,
        verbose_name="Responsable",
        null=True,
        help_text="Laissez vide pour utiliser votre nom",
        on_delete=models.CASCADE,
    )
    ecole = models.ForeignKey(Ecole, editable=False, on_delete=models.CASCADE)

    def __str__(self):
        return str(self.nom)

    # def enregistrer_image(self, fichier):
    # fichier.seek(0)
    # image = Image.open(fichier)
    # image.save(join(settings.MEDIA_ROOT, DOSSIER_EVENEMENTS, str(self.id) + '.jpg'), format='jpeg')
    # image.thumbnail(TAILLE_MINI, Image.ANTIALIAS)
    # image.save(join(settings.MEDIA_ROOT, DOSSIER_EVENEMENTS, str(self.id) + '-mini.jpg'), format='jpeg')

    # def url_affiche(self):
    # return DOSSIER_EVENEMENTS + "/" + str(self.id) + '.jpg'

    # def url_affiche_mini(self):
    # return DOSSIER_EVENEMENTS + "/" + str(self.id) + '-mini.jpg'
